<?php
header('Content-Type: application/json');
require("dbinfo.php");
require("dl.php");
$con = mysqli_connect($sqlname, $username, $password, $db);
if(!$con){exit;}
mysqli_set_charset($con,"utf8");

$sql = '';
$sql1 = '';
$sql2 = '';
$sql3 = '';
$sql4 = '';
$usuario = '';
$tipo = '';
$id = 0;
$iddan = 0;

if($_REQUEST['sql']){$sql = $_REQUEST['sql'];}
if($_REQUEST['sql1']){$sql1 = $_REQUEST['sql1'];}
if($_REQUEST['sql2']){$sql2 = $_REQUEST['sql2'];}
if($_REQUEST['sql3']){$sql3 = $_REQUEST['sql3'];}
if($_REQUEST['sql4']){$sql4 = $_REQUEST['sql4'];}
if($_REQUEST['usuario']){$usuario = $_REQUEST['usuario'];}
if($_REQUEST['tipo']){$tipo = $_REQUEST['tipo'];}
if($_REQUEST['id']){$id = $_REQUEST['id'];}
if($_REQUEST['iddan']){$iddan = $_REQUEST['iddan'];}
$exito_en_consulta = FALSE;

if ($sql != '')
{
	$resultado = mysqli_query($con,$sql);
}
if ($sql1 != '')
{
	$resultado = mysqli_query($con,$sql1);
}
if ($sql2 != '')
{
	$resultado = mysqli_query($con,$sql2);
}
if ($sql3 != '')
{
	$resultado = mysqli_query($con,$sql3);
}
if ($sql4 != '')
{
	$resultado = mysqli_query($con,$sql4);
}

$descripcion = '';
$tipoproy = 'PROYECTO';
if ($tipo == 'modificar'){
	$descripcion = "SE MODIFICO PROYECTO";
	$tipoproy = 'PROYECTO MODIFICADO';
}
if ($tipo == 'borrar'){$descripcion = "SE ELIMINO PROYECTO";
	$tipoproy = 'PROYECTO ELIMINADO';}
if ($tipo == 'nuevo'){
	$descripcion = "SE CREO NUEVO PROYECTO";
	$tipoproy = 'PROYECTO NUEVO';
	$resultado = mysqli_query($con,"SELECT iddan FROM adm_proyectos WHERE id = " . $id);
	$row = mysqli_fetch_assoc($resultado);
	$iddan = $row['iddan'];
}

   $fecha = dl_fecha::dl_ahora_texto();
   $sql = "INSERT INTO log2 (id_elemento,descripcion,tipo,fecha,usuario,tipo_elemento) VALUES (" . $id . ",'" . $descripcion . "','" . $tipoproy . "','" . $fecha . "','" . $usuario . "','PROYECTO')";
   $resultado = mysqli_query($con,$sql);

mysqli_close($con);


$res=$iddan;

 echo $res;

?>